<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/ActionDrinkPondContinuous.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d3b/_action_drink_pond_continuous_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionDrinkPondContinuous.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../df/d3b/_action_drink_pond_continuous_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../de/d9e/class_action_drink_pond_continuous_c_b.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/d9e/class_action_drink_pond_continuous_c_b.html">ActionDrinkPondContinuousCB</a> : <a class="code hl_class" href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../de/d9e/class_action_drink_pond_continuous_c_b.html#ae4a50a935529baf9119e6e1a41ca166c">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d9e/class_action_drink_pond_continuous_c_b.html#ae4a50a935529baf9119e6e1a41ca166c">CreateActionComponent</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">m_ActionComponent</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../dc/dec/class_c_a_continuous_repeat.html">CAContinuousRepeat</a>(<a class="code hl_class" href="../../d8/d3b/class_u_a_time_spent.html">UATimeSpent</a>.<a class="code hl_variable" href="../../d8/d3b/class_u_a_time_spent.html#ad6e8cb7fb52c8fc93d44eccc0934356b">DRINK_POND</a>);</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>};</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../df/d94/class_action_drink_pond_continuous.html">    9</a></span><span class="keyword">class </span><a class="code hl_class" href="../../df/d94/class_action_drink_pond_continuous.html">ActionDrinkPondContinuous</a>: <a class="code hl_class" href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>{</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../df/d94/class_action_drink_pond_continuous.html#a18c28137855c37dc2f40c3835fc756be">   11</a></span>    <span class="keyword">private</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../df/d94/class_action_drink_pond_continuous.html#a18c28137855c37dc2f40c3835fc756be">WATER_DRANK_PER_SEC</a> = 35;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../df/d94/class_action_drink_pond_continuous.html#ad143ec54f2b0fb179560beb22adc1ecf">   13</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d94/class_action_drink_pond_continuous.html#ad143ec54f2b0fb179560beb22adc1ecf">ActionDrinkPondContinuous</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">m_CallbackClass</a> = <a class="code hl_class" href="../../de/d9e/class_action_drink_pond_continuous_c_b.html">ActionDrinkPondContinuousCB</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_DRINKPOND;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adb7a179f0ce9195c7dc300367bbaf51a">m_FullBody</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_CROUCH;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#drink&quot;</span>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../df/d94/class_action_drink_pond_continuous.html#a386e5de23183480753081af361ed1449">   22</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d94/class_action_drink_pond_continuous.html#a386e5de23183480753081af361ed1449">IsDrink</a>()</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../df/d94/class_action_drink_pond_continuous.html#a4034f39e8d270ce67a964cecf2f1d146">   27</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../df/d94/class_action_drink_pond_continuous.html#a4034f39e8d270ce67a964cecf2f1d146">GetInputType</a>()</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../dd/d7f/class_continuous_interact_action_input.html">ContinuousInteractActionInput</a>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../df/d94/class_action_drink_pond_continuous.html#a339d96279d28063195db743de2abd99a">   32</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d94/class_action_drink_pond_continuous.html#a339d96279d28063195db743de2abd99a">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d7c/class_c_c_i_none.html">CCINone</a>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d9/d0c/class_c_c_t_water_surface.html">CCTWaterSurface</a>(<a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">DEFAULT</a>, <a class="code hl_class" href="../../dd/d68/class_u_a_water_type.html">UAWaterType</a>.<a class="code hl_variable" href="../../dd/d68/class_u_a_water_type.html#a1170685cd174be763b26ef65c5747164">FRESH</a>);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../df/d94/class_action_drink_pond_continuous.html#a4384f7a43ef6c45e81a1740470ef8fcf">   38</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d94/class_action_drink_pond_continuous.html#a4384f7a43ef6c45e81a1740470ef8fcf">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {   </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="comment">// Other conditions are in CCTWaterSurface</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="comment">// Note: using SurfaceIsPond makes you unable to drink under bridges</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="comment">//return true /*g_Game.SurfaceIsPond(pos_cursor[0], pos_cursor[2])*/;</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordflow">if</span> ( item &amp;&amp; item.IsHeavyBehaviour() )</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">return</span> player.CanEatAndDrink();</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../df/d94/class_action_drink_pond_continuous.html#a5e03dfb3b43d381b6a025221c1d0ed99">   49</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d94/class_action_drink_pond_continuous.html#a5e03dfb3b43d381b6a025221c1d0ed99">OnStart</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        super.OnStart(action_data);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.TryHideItemInHands(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../df/d94/class_action_drink_pond_continuous.html#acc5376a165c15a8baf081a32e5d38614">   56</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d94/class_action_drink_pond_continuous.html#acc5376a165c15a8baf081a32e5d38614">OnEnd</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.TryHideItemInHands(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../df/d94/class_action_drink_pond_continuous.html#a8927b845251d796978a72f2239ada2cd">   61</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d94/class_action_drink_pond_continuous.html#a8927b845251d796978a72f2239ada2cd">OnFinishProgressServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="comment">//Print(&quot;OnFinishProgressServer&quot;);</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        Param1&lt;float&gt; nacdata = Param1&lt;float&gt;.Cast( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">m_ActionComponent</a>.<a class="code hl_function" href="../../d0/df0/class_c_a_base.html#a3d3beb95e041c347de1d5a99f09ea5d9">GetACData</a>() );</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordtype">float</span> amount = <a class="code hl_class" href="../../d9/da2/class_u_a_quantity_consumed.html">UAQuantityConsumed</a>.<a class="code hl_variable" href="../../d9/da2/class_u_a_quantity_consumed.html#a6bc2880eb8a7f334105fcce1aba85502">DRINK</a>;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.Consume(NULL, amount, <a class="code hl_enumeration" href="../../d1/d4e/_e_consume_type_8c.html#af230be82f101928122c21edc61a2be95">EConsumeType</a>.ENVIRO_POND);</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../df/d94/class_action_drink_pond_continuous.html#a7b5166f7b566124a5c6323330f678974">   69</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d94/class_action_drink_pond_continuous.html#a7b5166f7b566124a5c6323330f678974">OnEndAnimationLoopServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="comment">//Print(&quot;OnEndAnimationLoopServer&quot;);</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">if</span> ( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.HasBloodyHands() &amp;&amp; !action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetInventory().FindAttachment( <a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a>.GLOVES ) )</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.SetBloodyHandsPenalty();</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../df/d94/class_action_drink_pond_continuous.html#a743fae5184c662fcd1ecfda086ea0ffa">   78</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d94/class_action_drink_pond_continuous.html#a743fae5184c662fcd1ecfda086ea0ffa">WriteToContext</a>(<a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsWriteContext</a> ctx, <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        super.WriteToContext(ctx, action_data);</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">if</span>( <a class="code hl_function" href="../../d6/d59/_action_base_8c.html#a3814728d06a8d343e76edd840b96a9b3">HasTarget</a>() )</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Write</a>(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetCursorHitPos());</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="../../df/d94/class_action_drink_pond_continuous.html#a248331a5bfc339724bf6da1a8449a092">   88</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d94/class_action_drink_pond_continuous.html#a248331a5bfc339724bf6da1a8449a092">ReadFromContext</a>(<a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsReadContext</a> ctx, out ActionReciveData action_recive_data )</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    {       </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        super.ReadFromContext(ctx, action_recive_data);</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <span class="keywordflow">if</span>( <a class="code hl_function" href="../../d6/d59/_action_base_8c.html#a3814728d06a8d343e76edd840b96a9b3">HasTarget</a>() )</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        {</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>            <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> cursor_position;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            <span class="keywordflow">if</span> ( !ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>(cursor_position) )</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            action_recive_data.m_Target.SetCursorHitPos(cursor_position);</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        }</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>};</div>
<div class="ttc" id="a_action_base_8c_html_a3814728d06a8d343e76edd840b96a9b3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a3814728d06a8d343e76edd840b96a9b3">HasTarget</a></div><div class="ttdeci">bool HasTarget()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00227">ActionBase.c:227</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adb7a179f0ce9195c7dc300367bbaf51a"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adb7a179f0ce9195c7dc300367bbaf51a">m_FullBody</a></div><div class="ttdeci">protected bool m_FullBody</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00052">ActionBase.c:52</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adc0813e96c27638edc8c57cfbaa30c25"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a></div><div class="ttdeci">protected int m_StanceMask</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00053">ActionBase.c:53</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="a_e_consume_type_8c_html_af230be82f101928122c21edc61a2be95"><div class="ttname"><a href="../../d1/d4e/_e_consume_type_8c.html#af230be82f101928122c21edc61a2be95">EConsumeType</a></div><div class="ttdeci">EConsumeType</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d4e/_e_consume_type_8c_source.html#l00001">EConsumeType.c:2</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html_ab8c5796aa8f98fa679639b14db60813f"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">ActionBaseCB::m_ActionData</a></div><div class="ttdeci">protected ActionData m_ActionData</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00003">AnimatedActionBase.c:3</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_c_b_html"><div class="ttname"><a href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00001">ActionContinuousBase.c:2</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_html"><div class="ttname"><a href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00131">ActionContinuousBase.c:132</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a57bdca781ae4f1cfcb6574b0ace5d74d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">ActionData::m_Target</a></div><div class="ttdeci">ref ActionTarget m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00032">ActionBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_data_html_a82934edb9e2ee84d9c8a45aa66242075"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">ActionData::m_ActionComponent</a></div><div class="ttdeci">ref CABase m_ActionComponent</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00030">ActionBase.c:30</a></div></div>
<div class="ttc" id="aclass_action_drink_pond_continuous_c_b_html"><div class="ttname"><a href="../../de/d9e/class_action_drink_pond_continuous_c_b.html">ActionDrinkPondContinuousCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00001">ActionDrinkPondContinuous.c:2</a></div></div>
<div class="ttc" id="aclass_action_drink_pond_continuous_c_b_html_ae4a50a935529baf9119e6e1a41ca166c"><div class="ttname"><a href="../../de/d9e/class_action_drink_pond_continuous_c_b.html#ae4a50a935529baf9119e6e1a41ca166c">ActionDrinkPondContinuousCB::CreateActionComponent</a></div><div class="ttdeci">override void CreateActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00003">ActionDrinkPondContinuous.c:3</a></div></div>
<div class="ttc" id="aclass_action_drink_pond_continuous_html"><div class="ttname"><a href="../../df/d94/class_action_drink_pond_continuous.html">ActionDrinkPondContinuous</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00009">ActionDrinkPondContinuous.c:10</a></div></div>
<div class="ttc" id="aclass_action_drink_pond_continuous_html_a18c28137855c37dc2f40c3835fc756be"><div class="ttname"><a href="../../df/d94/class_action_drink_pond_continuous.html#a18c28137855c37dc2f40c3835fc756be">ActionDrinkPondContinuous::WATER_DRANK_PER_SEC</a></div><div class="ttdeci">private const float WATER_DRANK_PER_SEC</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00011">ActionDrinkPondContinuous.c:11</a></div></div>
<div class="ttc" id="aclass_action_drink_pond_continuous_html_a248331a5bfc339724bf6da1a8449a092"><div class="ttname"><a href="../../df/d94/class_action_drink_pond_continuous.html#a248331a5bfc339724bf6da1a8449a092">ActionDrinkPondContinuous::ReadFromContext</a></div><div class="ttdeci">override bool ReadFromContext(ParamsReadContext ctx, out ActionReciveData action_recive_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00088">ActionDrinkPondContinuous.c:88</a></div></div>
<div class="ttc" id="aclass_action_drink_pond_continuous_html_a339d96279d28063195db743de2abd99a"><div class="ttname"><a href="../../df/d94/class_action_drink_pond_continuous.html#a339d96279d28063195db743de2abd99a">ActionDrinkPondContinuous::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00032">ActionDrinkPondContinuous.c:32</a></div></div>
<div class="ttc" id="aclass_action_drink_pond_continuous_html_a386e5de23183480753081af361ed1449"><div class="ttname"><a href="../../df/d94/class_action_drink_pond_continuous.html#a386e5de23183480753081af361ed1449">ActionDrinkPondContinuous::IsDrink</a></div><div class="ttdeci">override bool IsDrink()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00022">ActionDrinkPondContinuous.c:22</a></div></div>
<div class="ttc" id="aclass_action_drink_pond_continuous_html_a4034f39e8d270ce67a964cecf2f1d146"><div class="ttname"><a href="../../df/d94/class_action_drink_pond_continuous.html#a4034f39e8d270ce67a964cecf2f1d146">ActionDrinkPondContinuous::GetInputType</a></div><div class="ttdeci">override GetInputType()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00027">ActionDrinkPondContinuous.c:27</a></div></div>
<div class="ttc" id="aclass_action_drink_pond_continuous_html_a4384f7a43ef6c45e81a1740470ef8fcf"><div class="ttname"><a href="../../df/d94/class_action_drink_pond_continuous.html#a4384f7a43ef6c45e81a1740470ef8fcf">ActionDrinkPondContinuous::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00038">ActionDrinkPondContinuous.c:38</a></div></div>
<div class="ttc" id="aclass_action_drink_pond_continuous_html_a5e03dfb3b43d381b6a025221c1d0ed99"><div class="ttname"><a href="../../df/d94/class_action_drink_pond_continuous.html#a5e03dfb3b43d381b6a025221c1d0ed99">ActionDrinkPondContinuous::OnStart</a></div><div class="ttdeci">override void OnStart(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00049">ActionDrinkPondContinuous.c:49</a></div></div>
<div class="ttc" id="aclass_action_drink_pond_continuous_html_a743fae5184c662fcd1ecfda086ea0ffa"><div class="ttname"><a href="../../df/d94/class_action_drink_pond_continuous.html#a743fae5184c662fcd1ecfda086ea0ffa">ActionDrinkPondContinuous::WriteToContext</a></div><div class="ttdeci">override void WriteToContext(ParamsWriteContext ctx, ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00078">ActionDrinkPondContinuous.c:78</a></div></div>
<div class="ttc" id="aclass_action_drink_pond_continuous_html_a7b5166f7b566124a5c6323330f678974"><div class="ttname"><a href="../../df/d94/class_action_drink_pond_continuous.html#a7b5166f7b566124a5c6323330f678974">ActionDrinkPondContinuous::OnEndAnimationLoopServer</a></div><div class="ttdeci">override void OnEndAnimationLoopServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00069">ActionDrinkPondContinuous.c:69</a></div></div>
<div class="ttc" id="aclass_action_drink_pond_continuous_html_a8927b845251d796978a72f2239ada2cd"><div class="ttname"><a href="../../df/d94/class_action_drink_pond_continuous.html#a8927b845251d796978a72f2239ada2cd">ActionDrinkPondContinuous::OnFinishProgressServer</a></div><div class="ttdeci">override void OnFinishProgressServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00061">ActionDrinkPondContinuous.c:61</a></div></div>
<div class="ttc" id="aclass_action_drink_pond_continuous_html_acc5376a165c15a8baf081a32e5d38614"><div class="ttname"><a href="../../df/d94/class_action_drink_pond_continuous.html#acc5376a165c15a8baf081a32e5d38614">ActionDrinkPondContinuous::OnEnd</a></div><div class="ttdeci">override void OnEnd(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00056">ActionDrinkPondContinuous.c:56</a></div></div>
<div class="ttc" id="aclass_action_drink_pond_continuous_html_ad143ec54f2b0fb179560beb22adc1ecf"><div class="ttname"><a href="../../df/d94/class_action_drink_pond_continuous.html#ad143ec54f2b0fb179560beb22adc1ecf">ActionDrinkPondContinuous::ActionDrinkPondContinuous</a></div><div class="ttdeci">void ActionDrinkPondContinuous()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00013">ActionDrinkPondContinuous.c:13</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a00487cccdebc5bf70af1b0c8d9ed3660"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">AnimatedActionBase::m_CommandUID</a></div><div class="ttdeci">protected int m_CommandUID</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00125">AnimatedActionBase.c:125</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a7bce84f3ceb181aacfabdfb000c56461"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">AnimatedActionBase::m_CallbackClass</a></div><div class="ttdeci">protected m_CallbackClass</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00127">AnimatedActionBase.c:127</a></div></div>
<div class="ttc" id="aclass_c_a_base_html_a3d3beb95e041c347de1d5a99f09ea5d9"><div class="ttname"><a href="../../d0/df0/class_c_a_base.html#a3d3beb95e041c347de1d5a99f09ea5d9">CABase::GetACData</a></div><div class="ttdeci">Param GetACData()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da0/_c_a_base_8c_source.html#l00048">CABase.c:48</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_repeat_html"><div class="ttname"><a href="../../dc/dec/class_c_a_continuous_repeat.html">CAContinuousRepeat</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d6c/_c_a_continuous_repeat_8c_source.html#l00001">CAContinuousRepeat.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_i_none_html"><div class="ttname"><a href="../../d4/d7c/class_c_c_i_none.html">CCINone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_c_c_i_none_8c_source.html#l00001">CCINone.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_water_surface_html"><div class="ttname"><a href="../../d9/d0c/class_c_c_t_water_surface.html">CCTWaterSurface</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/dfe/_c_c_t_water_surface_8c_source.html#l00001">CCTWaterSurface.c:2</a></div></div>
<div class="ttc" id="aclass_continuous_interact_action_input_html"><div class="ttname"><a href="../../dd/d7f/class_continuous_interact_action_input.html">ContinuousInteractActionInput</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df5/_action_input_8c_source.html#l00521">ActionInput.c:522</a></div></div>
<div class="ttc" id="aclass_inventory_slots_html"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html">InventorySlots</a></div><div class="ttdoc">provides access to slot configuration</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc1/_inventory_slots_8c_source.html#l00005">InventorySlots.c:6</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_serializer_html"><div class="ttname"><a href="../../d0/dc2/class_serializer.html">Serializer</a></div><div class="ttdoc">Serialization general interface. Serializer API works with:</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc7/_serializer_8c_source.html#l00055">Serializer.c:56</a></div></div>
<div class="ttc" id="aclass_serializer_html_a3568bd9439217225013ea9906eb09a3f"><div class="ttname"><a href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Serializer::Write</a></div><div class="ttdeci">proto bool Write(void value_out)</div></div>
<div class="ttc" id="aclass_serializer_html_a9a38a9c5322133ee30fe87a3a4c0659e"><div class="ttname"><a href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Serializer::Read</a></div><div class="ttdeci">proto bool Read(void value_in)</div></div>
<div class="ttc" id="aclass_u_a_max_distances_html"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00101">ActionConstants.c:102</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html_aef260d89bc0f791bc7c313cae73f8450"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">UAMaxDistances::DEFAULT</a></div><div class="ttdeci">const float DEFAULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00104">ActionConstants.c:104</a></div></div>
<div class="ttc" id="aclass_u_a_quantity_consumed_html"><div class="ttname"><a href="../../d9/da2/class_u_a_quantity_consumed.html">UAQuantityConsumed</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00003">ActionConstants.c:4</a></div></div>
<div class="ttc" id="aclass_u_a_quantity_consumed_html_a6bc2880eb8a7f334105fcce1aba85502"><div class="ttname"><a href="../../d9/da2/class_u_a_quantity_consumed.html#a6bc2880eb8a7f334105fcce1aba85502">UAQuantityConsumed::DRINK</a></div><div class="ttdeci">const float DRINK</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00013">ActionConstants.c:13</a></div></div>
<div class="ttc" id="aclass_u_a_time_spent_html"><div class="ttname"><a href="../../d8/d3b/class_u_a_time_spent.html">UATimeSpent</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00026">ActionConstants.c:27</a></div></div>
<div class="ttc" id="aclass_u_a_time_spent_html_ad6e8cb7fb52c8fc93d44eccc0934356b"><div class="ttname"><a href="../../d8/d3b/class_u_a_time_spent.html#ad6e8cb7fb52c8fc93d44eccc0934356b">UATimeSpent::DRINK_POND</a></div><div class="ttdeci">const float DRINK_POND</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00067">ActionConstants.c:67</a></div></div>
<div class="ttc" id="aclass_u_a_water_type_html"><div class="ttname"><a href="../../dd/d68/class_u_a_water_type.html">UAWaterType</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00141">ActionConstants.c:142</a></div></div>
<div class="ttc" id="aclass_u_a_water_type_html_a1170685cd174be763b26ef65c5747164"><div class="ttname"><a href="../../dd/d68/class_u_a_water_type.html#a1170685cd174be763b26ef65c5747164">UAWaterType::FRESH</a></div><div class="ttdeci">const string FRESH</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00144">ActionConstants.c:144</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00099">EnConvert.c:100</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_c32df7f94f13da663005da9ea489a0b6.html">Continuous</a></li><li class="navelem"><a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c.html">ActionDrinkPondContinuous.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
